--  Copyright (C) 2000-2001 Simon Wright.
--  All Rights Reserved.
--
--      This program is free software; you can redistribute it
--      and/or modify it under the terms of the Ada Community
--      License which comes with this Library.
--
--      This program is distributed in the hope that it will be
--      useful, but WITHOUT ANY WARRANTY; without even the implied
--      warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
--      PURPOSE. See the Ada Community License for more details.
--      You should have received a copy of the Ada Community
--      License with this library, in the file named "Ada Community
--      License" or "ACL". If not, contact the author of this library
--      for a copy.
--

--  $RCSfile: bc-containers-guarded.ads,v $
--  $Revision: 1.4 $
--  $Date: 2001/09/22 17:28:49 $
--  $Author: simon $

with BC.Support.Synchronization;

generic
   type Base_Container is new BC.Containers.Container with private;
   type Semaphore
   is new BC.Support.Synchronization.Semaphore_Base with private;
package BC.Containers.Guarded is

   pragma Elaborate_Body;

   type Guarded_Container is new Base_Container with private;

   function Null_Container return Guarded_Container;

   function "=" (Left, Right : in Guarded_Container) return Boolean;

   procedure Seize (C : in out Guarded_Container);

   procedure Release (C : in out Guarded_Container);

private

   type Guarded_Container is new Base_Container with record
      Guard : BC.Support.Synchronization.Semaphore_P;
   end record;

   procedure Initialize (C : in out Guarded_Container);
   procedure Adjust (C : in out Guarded_Container);
   procedure Finalize (C : in out Guarded_Container);

end BC.Containers.Guarded;
