--  Copyright (C) 2001 Simon Wright.
--  All Rights Reserved.
--
--      This program is free software; you can redistribute it
--      and/or modify it under the terms of the Ada Community
--      License which comes with this Library.
--
--      This program is distributed in the hope that it will be
--      useful, but WITHOUT ANY WARRANTY; without even the implied
--      warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
--      PURPOSE. See the Ada Community License for more details.
--      You should have received a copy of the Ada Community
--      License with this library, in the file named "Ada Community
--      License" or "ACL". If not, contact the author of this library
--      for a copy.
--

--   $RCSfile: bc-containers-maps-hash_statistics.adb,v $
--   $Revision: 1.3 $
--   $Date: 2001/09/28 18:35:55 $
--   $Author: simon $

with Ada.Text_IO;

procedure BC.Containers.Maps.Hash_Statistics (M : Abstract_Map'Class) is
begin
   Ada.Text_IO.Put_Line ("Map statistics:");
   for B in 1 .. Number_Of_Buckets (M) loop
      Ada.Text_IO.Put_Line ("  bucket"
                            & Natural'Image (B)
                            & " has"
                            & Natural'Image (Length (M, B))
                            & " entries");
   end loop;
end BC.Containers.Maps.Hash_Statistics;
