--  Copyright (C) 2000-2001 Simon Wright.
--  All Rights Reserved.
--
--      This program is free software; you can redistribute it
--      and/or modify it under the terms of the Ada Community
--      License which comes with this Library.
--
--      This program is distributed in the hope that it will be
--      useful, but WITHOUT ANY WARRANTY; without even the implied
--      warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
--      PURPOSE. See the Ada Community License for more details.
--      You should have received a copy of the Ada Community
--      License with this library, in the file named "Ada Community
--      License" or "ACL". If not, contact the author of this library
--      for a copy.
--

--  $Id: map_test_concurrent_support.ads,v 1.6 2001/09/12 05:59:38 simon Exp $

with BC.Containers.Guarded;
with BC.Containers.Maps.Synchronized;
with BC.Support.Synchronization;
with Map_Test_Support;

package Map_Test_Concurrent_Support is

   package MBG is new Map_Test_Support.Containers.Guarded
     (Base_Container => Map_Test_Support.MB.Map,
      Semaphore => BC.Support.Synchronization.Semaphore);

   subtype Guarded_Bounded_Map is MBG.Guarded_Container;

   package MDG is new Map_Test_Support.Containers.Guarded
     (Base_Container => Map_Test_Support.MD.Map,
      Semaphore => BC.Support.Synchronization.Semaphore);

   subtype Guarded_Dynamic_Map is MDG.Guarded_Container;

   package MUG is new Map_Test_Support.Containers.Guarded
     (Base_Container => Map_Test_Support.MU.Map,
      Semaphore => BC.Support.Synchronization.Semaphore);

   subtype Guarded_Unbounded_Map is MUG.Guarded_Container;

   package MBS is new Map_Test_Support.Maps.Synchronized
     (Map_Base => Map_Test_Support.MB.Map,
      Monitor => BC.Support.Synchronization.Single_Monitor);

   subtype Synchronized_Bounded_Map is MBS.Map;

   package MDS is new Map_Test_Support.Maps.Synchronized
     (Map_Base => Map_Test_Support.MD.Map,
      Monitor => BC.Support.Synchronization.Single_Monitor);

   subtype Synchronized_Dynamic_Map is MDS.Map;

   package MUS is new Map_Test_Support.Maps.Synchronized
     (Map_Base => Map_Test_Support.MU.Map,
      Monitor => BC.Support.Synchronization.Single_Monitor);

   subtype Synchronized_Unbounded_Map is MUS.Map;

end Map_Test_Concurrent_Support;
