--  Copyright (C) 2000-2001 Simon Wright.
--  All Rights Reserved.
--
--      This program is free software; you can redistribute it
--      and/or modify it under the terms of the Ada Community
--      License which comes with this Library.
--
--      This program is distributed in the hope that it will be
--      useful, but WITHOUT ANY WARRANTY; without even the implied
--      warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
--      PURPOSE. See the Ada Community License for more details.
--      You should have received a copy of the Ada Community
--      License with this library, in the file named "Ada Community
--      License" or "ACL". If not, contact the author of this library
--      for a copy.
--

--  $RCSfile: queue_test_support_concurrent.ads,v $
--  $Revision: 1.5 $
--  $Date: 2001/09/12 05:59:38 $
--  $Author: simon $

with BC.Containers.Queues.Synchronized;
with BC.Support.Synchronization;
with Queue_Test_Support;

package Queue_Test_Support_Concurrent is

   package QBS is new Queue_Test_Support.Queues.Synchronized
     (Queue_Base => Queue_Test_Support.QB.Queue,
      Monitor => BC.Support.Synchronization.Single_Monitor);

   package QDS is new Queue_Test_Support.Queues.Synchronized
     (Queue_Base => Queue_Test_Support.QD.Queue,
      Monitor => BC.Support.Synchronization.Single_Monitor);

   package QUS is new Queue_Test_Support.Queues.Synchronized
     (Queue_Base => Queue_Test_Support.QU.Queue,
      Monitor => BC.Support.Synchronization.Single_Monitor);

end Queue_Test_Support_Concurrent;
